function [] = CreacioGrafiques(Root,LinkMesUtilitzat)
    kSP = max([Root{:,1}]);
    dades_per_grup=(size(Root,1))/kSP;

    %%%%%%%%%%%%%%%% GRFICA GENERAL %%%%%%%%%%%%%%%%
     dades1 = cell(1,kSP);
    for i=1:1:kSP
        x1 = [];
        y1 = [];
        for j=((i*dades_per_grup)-(dades_per_grup-1)):1:(dades_per_grup*i)
            peticions_totals1 = size(Root{j,5},1);
            bloqueig1 = Root{j,4};
            taxa = Root{j,2};

            x1 = cat(1,x1,taxa);
            y1 = cat(1,y1,100 * bloqueig1 / peticions_totals1);
        end

        dades1{1,i}=[x1,y1];
    end

    if kSP == 3
        subplot(1,2,1);
        plot(dades1{1,1}(:,1),dades1{1,1}(:,2),'-^',dades1{1,2}(:,1),dades1{1,2}(:,2),'-o',dades1{1,3}(:,1),dades1{1,3}(:,2),'-s');
        grid on;
        title('Estadstica de xarxa general');
        ylabel('Pb (%)');
        xlabel('Intensitat de trfic (Erlangs)');
        legend('kSP=1','kSP=2','kSP=3');
    elseif kSP == 2
        subplot(1,2,1);
        plot(dades1{1,1}(:,1),dades1{1,1}(:,2),'-^',dades1{1,2}(:,1),dades1{1,2}(:,2),'-o');
        grid on;
        title('Estadstica de xarxa general');
        ylabel('Pb (%)');
        xlabel('Intensitat de trfic (Erlangs)');
        legend('kSP=1','kSP=2');
    elseif kSP == 1
        subplot(1,2,1);
        plot(dades1{1,1}(:,1),dades1{1,1}(:,2),'-^');
        grid on;
        title('Estadstica de xarxa general');
        ylabel('Pb (%)');
        xlabel('Intensitat de trfic (Erlangs)');
        legend('kSP=1');
    end

    %%%%%%%%%%%%%%%% GRFICA PER ENLLAOS %%%%%%%%%%%%%%%%

    % LinkS i LinkD indiquen els extrems de l'enlla que volem auditar. Dona
    % igual el sentit de la comunicaci
    LinkS = LinkMesUtilitzat(1);
    LinkD = LinkMesUtilitzat(2);

    dades2 = cell(1,kSP);

    % Iteraci per a cada kSP diferent
    for z=1:1:kSP
        x2 = [];
        y2 = [];

        % iteraci per a cada grup de simulacions
        for i=((z*dades_per_grup)-(dades_per_grup-1)):1:(dades_per_grup*z)
            matCamins = Root{i,6};
            m = Root{i,5};
            validsPassen = 0;
            validsTotals = 0;
            bloqEnLink = 0;
            bloqAlie = 0;

            for j=1:1:size(m,1)
                if m(j,7)==0
                    validsTotals = validsTotals + 1;
                    nodeS = m(j,3);
                    nodeD = m(j,4);

                    nodesPath = matCamins{nodeS,nodeD}{1,m(j,10)};
                    for k=1:1:(size(nodesPath,2))-1
                        if (nodesPath(1,k) == LinkS && nodesPath(1,k+1) == LinkD) || (nodesPath(1,k) == LinkD && nodesPath(1,k+1) == LinkS)
                            validsPassen = validsPassen + 1;
                            break; 
                        end
                    end
                else
                    if ( m(j,8) == LinkS && m(j,9) == LinkD ) || ( m(j,8) == LinkD && m(j,9) == LinkS )
                        bloqEnLink = bloqEnLink + 1;
                    else
                        bloqAlie = bloqAlie + 1;
                    end
                end
            end

            % peticions_totals2 --> totes les conexions que passen o bloquegen
            % per el link seleccionat.
            peticions_totals2 = validsPassen + bloqEnLink;
            bloqueig2 = bloqEnLink;

            taxa = Root{i,2};

           % x2 = cat(1,x2,peticions_totals2*ratio / temps2);
            x2 = cat(1,x2,taxa);
            y2 = cat(1,y2,100 * bloqueig2 / peticions_totals2);
        end

        dades2{1,z}=[x2,y2];
    end

    if kSP == 3
        subplot(1,2,2);
        plot(dades2{1,1}(:,1),dades2{1,1}(:,2),'-^',dades2{1,2}(:,1),dades2{1,2}(:,2),'-o',dades2{1,3}(:,1),dades2{1,3}(:,2),'-s');
        grid on;
        title(['Estadstica de enlla ',num2str(LinkS),' - ',num2str(LinkD)]);
        ylabel('Pb (%)');
        xlabel('Intensitat de trfic (Erlangs)');
        legend('kSP=1','kSP=2','kSP=3');
    elseif kSP == 2
        subplot(1,2,2);
        plot(dades2{1,1}(:,1),dades2{1,1}(:,2),'-^',dades2{1,2}(:,1),dades2{1,2}(:,2),'-o');
        grid on;
        title(['Estadstica de enlla ',num2str(LinkS),' - ',num2str(LinkD)]);
        ylabel('Pb (%)');
        xlabel('Intensitat de trfic (Erlangs)');
        legend('kSP=1','kSP=2');
    elseif kSP == 1
        subplot(1,2,2);
        plot(dades2{1,1}(:,1),dades2{1,1}(:,2),'-^');
        grid on;
        title(['Estadstica de enlla ',num2str(LinkS),' - ',num2str(LinkD)]);
        ylabel('Pb (%)');
        xlabel('Intensitat de trfic (Erlangs)');
        legend('kSP=1');
    end
end
