function [MatResultat] = NovaConnexio(MatCamins,id)

global Grid;
global T;
global kSP;
%global nodes;
global probNodes;

% Nodes origen y dest aleatoris (distribuci uniforme)
R = randsample(1:numel(probNodes),numel(probNodes),true,probNodes);
nodeS = 1;
nodeD = 1;
while nodeS == nodeD
    R = randsample(1:numel(probNodes),numel(probNodes),true,probNodes);
    nodeS = R(1);
    nodeD = R(2);
end



% Determinaci (distrib. uniforme) de la ocupaci de Frequency Slots
m = ceil(16*rand);
FSaOcupar = 12.5 * m / 6.25;

% Determinaci (distribuci exponencial amb mitja 1) de durada de la connexi
durada = exprnd(1);
%durada = ceil(200*rand);

% S'extrau el cam ptim i es comproba si hi ha lloc. Si no hi ha es busca
% un cam alternatiu (K-Shortest Path, K = kSP).

trobat = 0;
k = 0;
while (trobat == 0 && k < kSP)
    k = k +1;
    % S'extrau el cam ptim
    nodesPath = MatCamins{nodeS,nodeD}{k};
    numEnlaces = (length(nodesPath))-1;

    % Es comproven els espais disponibles
    [trobat,FS,linkBloq]=BuscaLloc(FSaOcupar,nodesPath,numEnlaces);
end

% Si no hi ha espai disponible en la graella
if (trobat == 0)
    Bloqueig = 1;
    bloqS = nodesPath(linkBloq);
    bloqD = nodesPath(linkBloq+1);
    
else    
    % En cas contrari ocupem els slots corresponents en els enllaos
    Bloqueig = 0;
    bloqS = -1;
    bloqD = -1;
    for j=1:numEnlaces
        Grid{nodesPath(j),nodesPath(j+1)}(FS+1:(FS+1 + FSaOcupar-1)) = id;
        % No implementat fullDuplex, per tant ocupem tamb el cam invers
        Grid{nodesPath(j+1),nodesPath(j)}(FS+1:(FS+1 + FSaOcupar-1)) = id;
        
%        Grid{nodesPath(j),nodesPath(j+1)}(FS:(FS + FSaOcupar - 1)) = id;
%        % No implementat fullDuplex, per tant ocupem tamb el cam invers
%        Grid{nodesPath(j+1),nodesPath(j)}(FS:(FS + FSaOcupar - 1)) = id;
    end
end
%MatResultat = [id,nodeS,nodeD,durada,FSaOcupar,Bloqueig,T,k,bloqS,bloqD];
MatResultat = [id,T,nodeS,nodeD,durada,FSaOcupar,Bloqueig,bloqS,bloqD,k];
end