function [G, nodes, probNodes] = grafo(m)
    if strcmp(m,'NSFnet')
        nodes = 14;
		%	  1    2    3    4    5    6    7    8    9    10   11   12   13   14
        G = [inf,   1,   1,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
               1, inf,   1, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf, inf;
               1,   1, inf, inf, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf;
               1, inf, inf, inf,   1, inf, inf, inf,   1, inf, inf, inf, inf, inf;
             inf, inf, inf,   1, inf,   1,   1, inf, inf, inf, inf, inf, inf, inf;
             inf, inf, inf, inf,   1, inf, inf,   1, inf, inf, inf, inf, inf, inf;
             inf,   1, inf, inf,   1, inf, inf, inf, inf, inf,   1,   1, inf, inf;
             inf, inf,   1, inf, inf,   1, inf, inf, inf,   1, inf, inf, inf, inf;
             inf, inf, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf,   1,   1;
             inf, inf, inf, inf, inf, inf, inf,   1, inf, inf,   1, inf,   1,   1;
             inf, inf, inf, inf, inf, inf,   1, inf, inf,   1, inf, inf, inf, inf;
             inf, inf, inf, inf, inf, inf,   1, inf, inf, inf, inf, inf,   1,   1;
             inf, inf, inf, inf, inf, inf, inf, inf,   1,   1, inf,   1, inf, inf;
             inf, inf, inf, inf, inf, inf, inf, inf,   1,   1, inf,   1, inf, inf];
         Pn = 1/16; % Prob. de node menys probable
         Po = 3/32; % Prob. de node ms probable
         
         probNodes = [Po Pn Po Pn Pn Pn Pn Pn Pn Pn Pn Po Po Pn];
    elseif strcmp(m,'TEL')
        nodes = 21;
        %     1    2    3    4    5    6    7    8    9    10   11   12   13   14   15   16   17   18   19   20   21
        G = [inf,   1,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
               1, inf,   1,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
               1,   1, inf, inf,   1, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
             inf,   1, inf, inf,   1, inf, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
             inf, inf,   1,   1, inf,   1, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
             inf, inf, inf, inf,   1, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
             inf, inf,   1, inf, inf, inf, inf, inf,   1, inf, inf, inf, inf,   1,   1, inf, inf, inf, inf, inf, inf;
             inf, inf, inf, inf,   1, inf, inf, inf,   1, inf,   1,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf;
             inf, inf, inf, inf, inf,   1,   1,   1, inf, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf;
             inf, inf, inf,   1, inf, inf, inf, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1;
             inf, inf, inf, inf, inf, inf, inf,   1, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1,   1;
             inf, inf, inf, inf, inf, inf, inf,   1, inf, inf, inf, inf,   1, inf ,inf, inf, inf, inf,   1,   1, inf;
             inf, inf, inf, inf, inf, inf, inf, inf,   1, inf, inf,   1, inf,   1, inf, inf, inf,   1, inf, inf, inf;
             inf, inf, inf, inf, inf, inf,   1, inf, inf, inf, inf, inf,   1, inf,   1, inf,   1, inf, inf, inf, inf;
             inf, inf, inf, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf,   1, inf,   1, inf, inf, inf, inf, inf;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf,   1, inf, inf, inf, inf;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf,   1, inf,   1, inf, inf, inf;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf, inf, inf,   1, inf,   1, inf, inf;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf, inf, inf, inf, inf,   1, inf,   1, inf;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1,   1, inf, inf, inf, inf, inf, inf,   1, inf,   1;
             inf, inf, inf, inf, inf, inf, inf, inf, inf,   1,   1, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf];
         Pn = 1/25; % Prob. de node menys probable
         Po = 3/50; % Prob. de node ms probable
         
         probNodes = [Pn Pn Po Po Pn Pn Pn Pn Po Pn Po Pn Pn Po Po Pn Pn Pn Po Pn Po];
    elseif strcmp(m,'DT')
		nodes = 17;
		G = [inf,   1, inf, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
	           1, inf,   1,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
	         inf,   1, inf,   1,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
	         inf,   1,   1, inf,   1,   1,   1, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf;
	         inf, inf,   1,   1, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
	         inf, inf, inf,   1,   1, inf, inf, inf, inf, inf,   1,   1, inf, inf, inf, inf, inf;
	           1, inf, inf,   1, inf, inf, inf,   1, inf,   1, inf, inf, inf, inf, inf, inf, inf;
	         inf, inf, inf, inf, inf, inf,   1, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf;
	         inf, inf, inf, inf, inf, inf, inf,   1, inf,   1, inf, inf, inf, inf, inf, inf, inf;
	         inf, inf, inf, inf, inf, inf,   1, inf,   1, inf,   1, inf, inf, inf, inf, inf, inf;
	         inf, inf, inf,   1, inf,   1, inf, inf, inf,   1, inf,   1,   1, inf, inf, inf, inf;
	         inf, inf, inf, inf, inf,   1, inf, inf, inf, inf,   1, inf, inf, inf,   1, inf,   1;
	         inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf, inf,   1, inf, inf, inf;
	         inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf,   1, inf, inf;
	         inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf,   1, inf,   1, inf;
	         inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf,   1;
	         inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf, inf, inf,   1, inf];
         		
		Pn = 5/92;
		Po = 3/46;
		probNodes = [Pn Pn Po Po Po Pn Po Pn Pn Pn Po Po Pn Pn Po Pn Pn];
    elseif strcmp(m,'basic')
		nodes = 20;
		G = [inf,   1,   1,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
               1, inf,   1, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
               1,   1, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
               1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf, inf,   1, inf, inf, inf, inf, inf;
             inf,   1, inf, inf, inf,   1,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
             inf, inf,   1, inf,   1, inf, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
             inf, inf, inf, inf,   1, inf, inf,   1, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
             inf, inf, inf, inf, inf,   1,   1, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf;
             inf, inf, inf, inf, inf, inf, inf,   1, inf, inf,   1,   1, inf, inf, inf, inf, inf, inf, inf, inf;
             inf, inf, inf, inf, inf, inf,   1, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf,   1, inf, inf;
             inf, inf, inf, inf, inf, inf, inf, inf,   1,   1, inf, inf, inf, inf, inf, inf,   1,   1, inf, inf;
             inf, inf, inf,   1, inf, inf, inf, inf,   1, inf, inf, inf, inf,   1, inf, inf, inf, inf, inf, inf;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1,   1,   1, inf, inf, inf, inf;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1,   1, inf, inf,   1, inf, inf, inf, inf;
             inf, inf, inf,   1, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf, inf,   1, inf, inf, inf,   1;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1,   1,   1, inf,   1, inf, inf, inf;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf, inf, inf, inf,   1, inf, inf,   1,   1;
             inf, inf, inf, inf, inf, inf, inf, inf, inf,   1,   1, inf, inf, inf, inf, inf, inf, inf,   1, inf;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1,   1, inf,   1;
             inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf, inf,   1, inf,   1, inf,   1, inf];
		probNodes = ones(1,20);
    end
end