% Simulador FlexGrid (ShortestPath,temps,1/tasa)
function [bloq, MatConnexions, MatCamins] = simulacio (mapa,kSPint,temps,taxa,distrib,distType,probNodesType)


global nodes;
global probNodes;
% Carregar el grafo corresponent (NSFnet, Basic)
[Graf, nodes,probNodes] = grafo(mapa);

% Distrib uniforme de probabilitat dels nodes.
if (probNodesType == 1)
    probNodes = ones(1,nodes);
end

% Inicialitzaci de matrius
MatConnexions = [];

% Parmetres de la xarxa
AmpleBanda = 1.5*10^12;
GranularitadFlexGrid = 6.25*10^9;
Granularitad = AmpleBanda / GranularitadFlexGrid;

% Executem l'algoritme Dijkstra y salvem costos i cam ms curt
% K-Shortest Path --> kSP

global kSP;
kSP = kSPint;

MatCamins = cell(nodes);
MatCostos = cell(nodes);
for i=1:nodes
    for j=1:nodes
        if (i~=j)
            source=i;
            destination=j;
            [MatCamins{i,j}, MatCostos{i,j}] = kShortestPath(Graf, source, destination, kSP);
        end
    end
end

% ################### NO CAL
% Esbrinem l'enlla ms utilitzat (tenint en compte nicament el cam ms
% curt, sense comptar trnsit ni demanda)
% Nota: el caracter '' no est perms. MatEnllaos -> MatEnllasos
% MatEnllasos = LinkStatistic(MatCamins);

% Creaci de graella per a cada enlla (variable global)
% Per ara no es tindr en compte ningn enlla ja creat
global Grid;
Grid = CreacioGrid(Granularitad);

% Creacin de una conexin (distribucin uniforme)
% Inicialitzaci del comptador de bloquejos y el ID de les connexions
bloq=0;
id = 1;

% Durada mxima 
Tmax=temps;
%Tmax=100;
global T;
T=0;

%Constructor per a nou event. 'ordre' es un string, 'data' dna els parmetres
MAKEEVENT=@(t,o,d)(struct('temps',t,'ordre',o,'data',d));
%Creaci del event final
QUEUE(1)=MAKEEVENT(Tmax,'FinalSIM',[]);
% Creaci del event inicial, en el qual es crea el primer event de conexi
QUEUE(end+1)=MAKEEVENT(0,'GenerarNovaConnexio',[]);
CONTINUAR=true;

while CONTINUAR
    lambda = taxa;
    [nT,cEvent]=min([QUEUE.temps]);
    assert(nT>=T,'event was created for the past');
    T=nT;
    EVENT=QUEUE(cEvent);
    QUEUE(cEvent)=[];
    switch (EVENT.ordre)
        case 'FinalSIM'
            CONTINUAR=false;
        case 'GenerarNovaConnexio'
            
            matResult = NovaConnexio(MatCamins,id);
            durada = matResult(1,5);
            bloqueig = matResult(1,7);
            
            if( isempty(MatConnexions))
                MatConnexions = matResult;
            else
                MatConnexions = cat(1,MatConnexions,matResult);
            end
            
            % Comprovem si hi ha hagut bloqueig.
            if (bloqueig == 1)
                bloq=bloq+1;
            else
                % Establim quan es va a tancar aquesta connexi
                QUEUE(end+1)=MAKEEVENT(T+durada,'TancarLaConnexio',matResult);
            end
            
            % Elecci de distribuci de probabilitat
            if strcmp(distrib,'PPH')
                 % Poisson homognia.
                next = -(1/lambda)*(log(rand(1,1)));
            elseif strcmp(distrib,'PPNH')
                % Poisson no-homognia.
                passa = false;
                next = -(1/lambda)*(log(rand(1,1)));
                while passa == false
                    if distType == 1
                        lambdat = exprnd(lambda);
                    elseif distType == 2
                        lambdat = lambda*(1.2+cos(2*pi*(T+next)/(Tmax/3)))/2.2;
                    end
                    V = rand(1,1);
                    if V <= lambdat/lambda
                        passa = true;
                    else
                        next = next -(1/lambda)*(log(rand(1,1)));
                    end
                end
            end
            
            QUEUE(end+1)=MAKEEVENT(T+next,'GenerarNovaConnexio',[]);
        %    MatGrafica = cat(1,MatGrafica,[id bloqueig]);
            id = id+1;
            
        case 'TancarLaConnexio'
            MatResultat=EVENT.data;
            TancarConnexio(MatCamins,MatResultat);
    end
end

end